Summary: IPX RIP/SAP daemon - routing for IPX networks
Name: ipxripd
Version: 0.8
Release: 5%{?dist}
Group: System Environment/Daemons
License: GPLv2+
URL: ftp://ftp.ibiblio.org/pub/Linux/system/filesystems/ncpfs/
Source0: ftp://ftp.ibiblio.org/pub/Linux/system/filesystems/ncpfs/ipxripd-%{version}.tar.gz
Source1: ipxripd.init
Patch0: ipxripd-0.8-glibc2.1.patch
Patch1: ipxripd-0.7-gcc3.patch
Patch2: ipxripd-0.7-kernel2.6.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service


%description
%{name} is an implementation of Novell's RIP and SAP protocols.
It automagically builds and updates IPX routing table in the Linux kernel.
%{name} can be useful to get a Linux box to act as an IPX router.


%prep
%setup -q
%patch0  -p1
%patch1  -p1
%patch2  -p1


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbindir}
install -m755 ipxd $RPM_BUILD_ROOT%{_sbindir}

install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -d $RPM_BUILD_ROOT%{_mandir}/man5
install -p ipxd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p ipx_ticks.5 $RPM_BUILD_ROOT%{_mandir}/man5

install -d $RPM_BUILD_ROOT%{_initrddir}
install -p -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/ipxd


%post

/sbin/chkconfig --add ipxd


%preun
if [ $1 = 0 ]; then
   /sbin/service ipxd stop >/dev/null 2>&1
   /sbin/chkconfig --del ipxd
fi


%postun
if [ $1 != 0 ]; then
   /sbin/service ipxd condrestart >/dev/null 2>&1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README ipx_ticks ipxripd-*.lsm
%{_sbindir}/*
%{_initrddir}/*
%{_mandir}/*/*


%changelog
* Fri Feb 15 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.8-5
- change initscript to comply with the LSB standarts (#246956)

* Fri Aug 17 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- change License tag to GPLv2+

* Fri Sep  1 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.8-4
- rebuild for FC6

* Wed Feb 15 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.8-3
- rebuild for FC5

* Tue Dec 13 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.8-2
- spec file cleanups
- accepted for Fedora Extra (review by John Mahowald <jpmahowald@gmail.com>)

* Thu Oct 13 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.8-1
- upgrade to 0.8
- cleanups of initrd script

* Thu Mar 10 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.7-1
- add patch for kernel >= 2.6

* Tue Aug  3 2004 Dmitry Butskoy <Dmitry@Butskoy.name>
- replace old patches by new one from PLD distribution (common "glibc2.1.patch")
- add gcc3 compilation patch to build on Fedora Core 1

* Tue Dec 14 1999 Joerg Dorchain <joerg@dorchain.net>
- added init script

* Wed Jul  8 1998 Andrzej K. Brandt <andy@mnich.ml.org>
- First version of the RPM package
- Added a quick and dirty hack to this thing to compile under glibc
  I tested it and it works fine

